Subject: Re: [PATCH v3 00/17] object-store: carve out the object database subsystem

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 15 May 2025 10:22:57 +0200

On Wed, May 14, 2025 at 04:48:47PM +0200, Toon Claes wrote:
> Only one small question though, what's the point of the compatibility
> layer in the last 5(-ish) commits? I mean if we add temp wrappers for
> other topics in flight, then when/how do we convert that new code to
> stop using the wrappers? Won't we remain having issues because there's
> always something in flight?

As mentioned in the comment for those wrappers the expectation is that
those will be removed once Git 2.50 is out. This is a common approach we
have used in the past, as well: for global changes to functions with a
lot of users we introduce wrappers that remain for the current release
cycle.

Patrick